Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCutMaterial Class Reference

`#include <vtkCutMaterial.h>`

Inheritance diagram for vtkCutMaterial:

[legend]
Collaboration diagram for vtkCutMaterial:

[legend]
List of all members.

## Detailed Description

Automatically computes the cut plane for a material array pair.

Date:
  2002/05/17 01:50:34

Revision:
  1.9

vtkCutMaterial computes a cut plane based on an up vector, center of the bounding box and the location of the maximum variable value. These computed values are available so that they can be used to set the camera for the best view of the plane.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (84%)
  - Cedilnik, Andy (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkCutMaterial.cxx)`
  - .`h` (`/Parallel/vtkCutMaterial.h)`

Tests:
  vtkCutMaterial (Tests)

Definition at line 49 of file vtkCutMaterial.h.

## Public Types
typedef vtkDataSetToPolyDataFilter | Superclass
## Public Methods
void | PrintSelf (ostream &os, vtkIndent indent)
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | SetMaterialArrayName (const char *)
virtual char * | GetMaterialArrayName ()
virtual void | SetMaterial (int)
virtual int | GetMaterial ()
virtual void | SetArrayName (const char *)
virtual char * | GetArrayName ()
virtual void | SetUpVector (float, float, float)
virtual void | SetUpVector (float[3])
virtual float * | GetUpVector ()
virtual void | GetUpVector (float &, float &, float &)
virtual void | GetUpVector (float[3])
virtual float * | GetMaximumPoint ()
virtual void | GetMaximumPoint (float &, float &, float &)
virtual void | GetMaximumPoint (float[3])
virtual float * | GetCenterPoint ()
virtual void | GetCenterPoint (float &, float &, float &)
virtual void | GetCenterPoint (float[3])
virtual float * | GetNormal ()
virtual void | GetNormal (float &, float &, float &)
virtual void | GetNormal (float[3])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkCutMaterial * | SafeDownCast (vtkObject *o)
vtkCutMaterial * | New ()
## Protected Methods
| vtkCutMaterial ()
| ~vtkCutMaterial ()
void | Execute ()
void | ComputeMaximumPoint (vtkDataSet *input)
void | ComputeNormal ()
## Protected Attributes
char * | MaterialArrayName
int | Material
char * | ArrayName
float | UpVector [3]
float | MaximumPoint [3]
float | CenterPoint [3]
float | Normal [3]
vtkPlane * | PlaneFunction

## Member Typedef Documentation

typedef vtkDataSetToPolyDataFilter vtkCutMaterial::Superclass

| Reimplemented from vtkDataSetToPolyDataFilter. Definition at line 53 of file vtkCutMaterial.h.

## Constructor & Destructor Documentation

vtkCutMaterial::vtkCutMaterial | ( |  | ) | `[protected]`

vtkCutMaterial::~vtkCutMaterial | ( |  | ) | `[protected]`

## Member Function Documentation

void vtkCutMaterial::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToPolyDataFilter.

virtual const char* vtkCutMaterial::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToPolyDataFilter.

int vtkCutMaterial::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

virtual int vtkCutMaterial::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

vtkCutMaterial* vtkCutMaterial::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToPolyDataFilter.

vtkCutMaterial* vtkCutMaterial::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual void vtkCutMaterial::SetMaterialArrayName | ( | const char * |  | ) | `[virtual]`

| Cell array that contains the material values.

virtual char* vtkCutMaterial::GetMaterialArrayName | ( |  | ) | `[virtual]`

| Cell array that contains the material values.

virtual void vtkCutMaterial::SetMaterial | ( | int |  | ) | `[virtual]`

| Material to probe.

virtual int vtkCutMaterial::GetMaterial | ( |  | ) | `[virtual]`

| Material to probe.

virtual void vtkCutMaterial::SetArrayName | ( | const char * |  | ) | `[virtual]`

| For now, we just use the cell values. The array name to cut.

virtual char* vtkCutMaterial::GetArrayName | ( |  | ) | `[virtual]`

| For now, we just use the cell values. The array name to cut.

virtual void vtkCutMaterial::SetUpVector | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| The last piece of information that specifies the plane.

virtual void vtkCutMaterial::SetUpVector | ( | float | [3] | ) | `[virtual]`

| The last piece of information that specifies the plane.

virtual float* vtkCutMaterial::GetUpVector | ( |  | ) | `[virtual]`

| The last piece of information that specifies the plane.

virtual void vtkCutMaterial::GetUpVector | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| The last piece of information that specifies the plane.

virtual void vtkCutMaterial::GetUpVector | ( | float | [3] | ) | `[virtual]`

| The last piece of information that specifies the plane.

virtual float* vtkCutMaterial::GetMaximumPoint | ( |  | ) | `[virtual]`

| Accesses to the values computed during the execute method. They could be used to get a good camera view for the resulting plane.

virtual void vtkCutMaterial::GetMaximumPoint | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Accesses to the values computed during the execute method. They could be used to get a good camera view for the resulting plane.

virtual void vtkCutMaterial::GetMaximumPoint | ( | float | [3] | ) | `[virtual]`

| Accesses to the values computed during the execute method. They could be used to get a good camera view for the resulting plane.

virtual float* vtkCutMaterial::GetCenterPoint | ( |  | ) | `[virtual]`

| Accesses to the values computed during the execute method. They could be used to get a good camera view for the resulting plane.

virtual void vtkCutMaterial::GetCenterPoint | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Accesses to the values computed during the execute method. They could be used to get a good camera view for the resulting plane.

virtual void vtkCutMaterial::GetCenterPoint | ( | float | [3] | ) | `[virtual]`

| Accesses to the values computed during the execute method. They could be used to get a good camera view for the resulting plane.

virtual float* vtkCutMaterial::GetNormal | ( |  | ) | `[virtual]`

| Accesses to the values computed during the execute method. They could be used to get a good camera view for the resulting plane.

virtual void vtkCutMaterial::GetNormal | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Accesses to the values computed during the execute method. They could be used to get a good camera view for the resulting plane.

virtual void vtkCutMaterial::GetNormal | ( | float | [3] | ) | `[virtual]`

| Accesses to the values computed during the execute method. They could be used to get a good camera view for the resulting plane.

void vtkCutMaterial::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkCutMaterial::ComputeMaximumPoint | ( | vtkDataSet * | input | ) | `[protected]`

void vtkCutMaterial::ComputeNormal | ( |  | ) | `[protected]`

## Member Data Documentation

char* vtkCutMaterial::MaterialArrayName`[protected]`

| Definition at line 96 of file vtkCutMaterial.h.

int vtkCutMaterial::Material`[protected]`

| Definition at line 97 of file vtkCutMaterial.h.

char* vtkCutMaterial::ArrayName`[protected]`

| Definition at line 98 of file vtkCutMaterial.h.

float vtkCutMaterial::UpVector[3]`[protected]`

| Definition at line 99 of file vtkCutMaterial.h.

float vtkCutMaterial::MaximumPoint[3]`[protected]`

| Definition at line 100 of file vtkCutMaterial.h.

float vtkCutMaterial::CenterPoint[3]`[protected]`

| Definition at line 101 of file vtkCutMaterial.h.

float vtkCutMaterial::Normal[3]`[protected]`

| Definition at line 102 of file vtkCutMaterial.h.

vtkPlane* vtkCutMaterial::PlaneFunction`[protected]`

| Definition at line 104 of file vtkCutMaterial.h.

The documentation for this class was generated from the following file:

- Parallel/vtkCutMaterial.h